# _CameraFile Struct Reference

## Data Fields

CameraFileType | type
char | mime_type [64]
char | name [MAX_PATH]
int | ref_count
time_t | mtime
CameraFileAccessType | accesstype
unsigned long | size
unsigned char * | data
unsigned long | offset
int | fd

## Detailed Description

The internals of the CameraFile struct are private.

The documentation for this struct was generated from the following file:

- libgphoto2/gphoto2-file.c